/*
**  NoteInfoWindow.m
**
**  Copyright (c) 2001
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#import "NoteInfoWindow.h"

#import "Constants.h"

@implementation NoteInfoWindow

- (void) dealloc
{
  RELEASE(creationDateField);
  RELEASE(modificationDateField);
  
  [super dealloc];
}

- (void) layoutWindow
{
  creationDateLabel = [[NSTextField alloc] initWithFrame: NSMakeRect(10,60,110,25)];
  [creationDateLabel setEditable: NO];
  [creationDateLabel setSelectable: NO];
  [creationDateLabel setBezeled: NO];
  [creationDateLabel setDrawsBackground: NO];
  [creationDateLabel setStringValue: @"Creation date:"];
  [[self contentView] addSubview: creationDateLabel];
  RELEASE(creationDateLabel);
  
  creationDateField = [[NSTextField alloc] initWithFrame: NSMakeRect(120,60,190,25)];
  [creationDateField setEditable: NO];
  [[self contentView] addSubview: creationDateField];
  
  modificationDateLabel = [[NSTextField alloc] initWithFrame: NSMakeRect(10,30,110,25)];
  [modificationDateLabel setEditable: NO];
  [modificationDateLabel setSelectable: NO];
  [modificationDateLabel setBezeled: NO];
  [modificationDateLabel setDrawsBackground: NO];
  [modificationDateLabel setStringValue: @"Modification date:"];
  [[self contentView] addSubview: modificationDateLabel];
  RELEASE(modificationDateLabel);
  
  modificationDateField = [[NSTextField alloc] initWithFrame: NSMakeRect(120,30,190,25)];
  [modificationDateField setEditable: NO];
  [[self contentView] addSubview: modificationDateField];
}
 

//
// access/mutation methods
//
- (NSTextField *) creationDateField
{
  return creationDateField;
}

- (NSTextField *) modificationDateField
{
  return modificationDateField;
}

@end
